4 Replies Latest reply on Nov 30, 2018 8:22 PM by Gianni Ceresa

    Zeppelin interpreter for PGX 2.5.1 ?

    Gianni Ceresa

      Hi,

      I'm struggling keeping the versions aligned as the PGX packaged inside Oracle Database often seem to have "weird" versions. For example with 18c XE (18.4) database there is PGX 2.5.1 packaged inside.

      On the official PGX page I couldn't find that version (only 2.5, 2.6.1 or 2.7), therefor I don't have the "official" Zeppelin interpreter for this version.

      Any idea if there is such a thing like PGX Zeppelin interpreter 2.5.1?

       

      Of course I wouldn't mind to be able to update my PGX to 2.7 (or at least 2.6.1 to have PGQL 1.1), but there isn't a patch available for the database now and if I just take PGX from the main page I lose the connection to the database.

       

      Any hint on where to find the right files or how to update the packaged 2.5.1 to an higher version is welcome.

        • 1. Re: Zeppelin interpreter for PGX 2.5.1 ?
          Korbi-Oracle

          Hi Gianni,

           

          the Oracle Spatial and Graph product and the PGX standalone release on OTN are two different things and under two different licenses. They are not meant to be used in conjunction for normal use cases. If some feature of standalone PGX is not in the product, then the license for that product does not cover it. However, that is not the case for Zeppelin. For the Oracle Spatial and Graph product, look at $ORACLE_HOME/md/property_graph/pgx/client to find the corresponding PGX interpreter client package.

           

          Hope this helps.

           

          Korbi

          • 2. Re: Zeppelin interpreter for PGX 2.5.1 ?
            Jsteiner-Oracle

            Also, there is a PGX 3.1.3 version as a patch available for Oracle Spatial and Graph.

            1 person found this helpful
            • 3. Re: Zeppelin interpreter for PGX 2.5.1 ?
              Gianni Ceresa

              Jsteiner-Oracle wrote:

               

              Also, there is a PGX 3.1.3 version as a patch available for Oracle Spatial and Graph.

              3.1.3? Do you maybe have a link to the patch or a reference? (my search skills in MOS are still very ... weak)

              • 4. Re: Zeppelin interpreter for PGX 2.5.1 ?
                Gianni Ceresa

                I agree that from a license point of view things needs to stay clean

                From a code point of view the 2 versions are very similar, in the past the difference was mainly the loader from the DB which wasn't shipped with the OTN one. Now they seem to get even a bit more different by adding extra classes to run things using the DB as storage without loading the graph in memory first (based on slides from the Oracle Spatial and Graph product managers).

                For the license it's obviously a totally different thing.

                 

                I'm working on a presentation for some conferences and needed PGQL 1.1 and the database storage for graphs, so I end up mixing the versions (loading the graph in PGX 2.5.1 from the database, store it in a file on disk, load the graph from the file in PGX 2.7.0 and run my PGQL queries there). I was trying to avoid the "cheat" for the presentation but seems that the 2 versions have a very different life cycle (sadly).